#### Previous topic

scipy.special.kve

#### Next topic

scipy.special.ive

# scipy.special.iv

`scipy.special.``iv`(v, z) = <ufunc 'iv'>

  Modified Bessel function of the first kind of real order.

  Parameters:

  v : array_like

  > Order. If z is of real type and negative, v must be integer valued.

  z : array_like of float or complex

  > Argument.

  Returns:

  out : ndarray

  > Values of the modified Bessel function.

  See also

  `kve`
    This function with leading exponential behavior stripped off.

  Notes

  For real z and \(v \in [-50, 50]\), the evaluation is carried out using Temme’s method [R420]. For larger orders, uniform asymptotic expansions are applied.

  For complex z and positive v, the AMOS [R421] zbesi routine is called. It uses a power series for small z, the asymptitic expansion for large abs(z), the Miller algorithm normalized by the Wronskian and a Neumann series for intermediate magnitudes, and the uniform asymptitic expansions for \(I_v(z)\) and \(J_v(z)\) for large orders. Backward recurrence is used to generate sequences or reduce orders when necessary.

  The calculations above are done in the right half plane and continued into the left half plane by the formula,

  \[I_v(z \exp(\pm\imath\pi)) = \exp(\pm\pi v) I_v(z)\]

  (valid when the real part of z is positive). For negative v, the formula

  \[I_{-v}(z) = I_v(z) + \frac{2}{\pi} \sin(\pi v) K_v(z)\]

  is used, where \(K_v(z)\) is the modified Bessel function of the second kind, evaluated using the AMOS routine zbesk.

  References

  [R420] | (1, 2) Temme, Journal of Computational Physics, vol 21, 343 (1976)

  [R421] | (1, 2) Donald E. Amos, “AMOS, A Portable Package for Bessel Functions of a Complex Argument and Nonnegative Order”, http://netlib.org/amos/